%define upstream_name    Geo-Coordinates-UTM
%define upstream_version 0.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Translation between  Lat Lon and UTM Coords
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Geo/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
This module will translate latitude longitude coordinates to Universal
Transverse Mercator(UTM) coordinates and vice versa.

Mercator Projection
    The Mercator projection was first invented to help mariners. They
    needed to be able to take a course and know the distance traveled, and
    draw a line on the map which showed the day's journey. In order to do
    this, Mercator invented a projection which preserved length, by
    projecting the earth's surface onto a cylinder, sharing the same axis
    as the earth itself. This caused all Latitude and Longitude lines to
    intersect at a 90 degree angle, thereby negating the problem that
    longitude lines get closer together at the poles.

Transverse Mercator Projection
    A Transverse Mercator projection takes the cylinder and turns it on its
    side. Now the cylinder's axis passes through the equator, and it can be
    rotated to line up with the area of interest. Many countries use
    Transverse Mercator for their grid systems.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.110.0-9.mga8
+ Revision: 1494686
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.110.0-8.mga7
+ Revision: 1268196
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.110.0-7.mga6
+ Revision: 1027728
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.110.0-6.mga6
+ Revision: 949733
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.110.0-5.mga5
+ Revision: 790400
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.110.0-4.mga5
+ Revision: 743509
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.110.0-3.mga5
+ Revision: 684837
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.110.0-2.mga4
+ Revision: 526987
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.110.0-1.mga4
+ Revision: 439296
- update to 0.11

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-2.mga3
+ Revision: 367629
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.90.0-1.mga1
+ Revision: 26280
- mageia rebuild
- imported package perl-Geo-Coordinates-UTM

